Skip to main content
POST
/
v1
/
analysis-sources
Create Analysis Source
curl --request POST \
  --url https://{tenant}.mindbridge.ai/api/v1/analysis-sources \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "engagementId": "<string>",
  "analysisId": "<string>",
  "analysisSourceTypeId": "<string>",
  "fileManagerFileId": "<string>",
  "analysisPeriodId": "<string>",
  "additionalDataColumnField": "<string>",
  "warningsIgnored": true,
  "targetWorkflowState": "COMPLETED",
  "applyDegrouper": true,
  "proposedColumnMappings": [
    {
      "columnPosition": 123,
      "virtualColumnIndex": 123,
      "mindbridgeField": "<string>",
      "additionalColumnName": "<string>"
    }
  ],
  "proposedVirtualColumns": [
    {
      "columnIndex": 123,
      "name": "<string>",
      "type": "DUPLICATE"
    }
  ],
  "proposedAmbiguousColumnResolutions": [
    {
      "position": 1,
      "selectedFormat": "<string>"
    }
  ]
}
'
{
  "version": 123,
  "id": "<string>",
  "creationDate": "2023-11-07T05:31:56Z",
  "lastModifiedDate": "2023-11-07T05:31:56Z",
  "createdUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "lastModifiedUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "type": "ANALYSIS_RUN",
  "status": "IN_PROGRESS",
  "entityId": "<string>",
  "entityType": "ORGANIZATION",
  "error": "<string>",
  "errorMessage": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://developer.mindbridge.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
engagementId
string
required

Identifies the associated engagement.

analysisId
string
required

Identifies the associated analysis.

analysisSourceTypeId
string
required

Identifies the analysis source type.

fileManagerFileId
string
required
deprecated

Identifies the specific file manager file within MindBridge.

analysisPeriodId
string

Identifies the analysis period within MindBridge.

additionalDataColumnField
string

When creating an additional data source type, this indicates which additional data column is being targeted.

warningsIgnored
boolean

Indicates whether or not warnings should be ignored.

targetWorkflowState
enum<string>

The state that the current workflow will advance to.

Available options:
COMPLETED,
CANCELLED,
FAILED,
STARTED,
DETECTING_FORMAT,
ANALYZING_COLUMNS,
CHECKING_INTEGRITY,
SCANNING_TRANSACTION_COMBINATIONS,
PARSING,
PARSING_ICEBERG,
ANALYZING_EFFECTIVE_DATE_METRICS,
FORMAT_DETECTION_COMPLETED,
COLUMN_MAPPINGS_CONFIRMED,
SETTINGS_CONFIRMED,
PREPARING_ICEBERG,
ANALYSIS_PERIOD_SELECTED,
FUNDS_REVIEWED,
RUNNING,
UNPACK_COMPLETE,
UPLOADED,
FORMAT_DETECTED,
COLUMNS_ANALYZED,
INTEGRITY_CHECKED,
PARSED,
AUTHENTICATED,
CONFIGURED,
EFFECTIVE_DATE_METRICS_ANALYZED,
DATA_VALIDATION_CONFIRMED
applyDegrouper
boolean

Indicates whether or not the degrouper should be applied.

proposedColumnMappings
Proposed Column Mapping · object[]

Details about the proposed column mapping.

proposedVirtualColumns
Proposed Duplicate Virtual Column · object · Proposed Duplicate Virtual Column · object · Proposed Duplicate Virtual Column · object · Proposed Duplicate Virtual Column · object · Proposed Join Virtual Column · object · Proposed Split By Delimiter Virtual Column · object · Proposed Split By Position Virtual Column · object[]

Details about the proposed virtual columns added during the file import process.

proposedAmbiguousColumnResolutions
Proposed Ambiguous Column Resolution · object[]

Details about the virtual columns added during file ingestion.

proposedTransactionIdSelection
Transaction ID Selection · object

The proposed columns to include when selecting a transaction ID.

Response

202 - application/json

Accepted

version
integer<int64>
required

Indicates the data integrity version to ensure data consistency.

id
string

The unique object identifier.

creationDate
string<date-time>

The date that the object was originally created.

lastModifiedDate
string<date-time>

The date that the object was last updated or modified.

createdUserInfo
User Info · object
read-only

Details about the user who created the object.

lastModifiedUserInfo
User Info · object
read-only

Details about the user who last modified or updated the object.

type
enum<string>

Indicates the type of job being run.

Available options:
ANALYSIS_RUN,
ANALYSIS_SOURCE_INGESTION,
ADMIN_REPORT,
DATA_TABLE_EXPORT,
ANALYSIS_ROLL_FORWARD,
GDPDU_UNPACK_JOB,
ACCOUNT_GROUPING_EXPORT,
ACCOUNT_MAPPING_EXPORT,
DATA_TRANSFORMATION_JOB,
CONNECTION_TEST,
CONNECTION_TABLES,
DATA_TABLE
status
enum<string>

Indicates the current state of the job.

Available options:
IN_PROGRESS,
COMPLETE,
ERROR
entityId
string

Identifies the entity used in the job.

entityType
enum<string>

Identifies the entity type used in the job.

Available options:
ORGANIZATION,
ENGAGEMENT,
ANALYSIS,
ANALYSIS_RESULT,
ANALYSIS_SOURCE,
FILE_RESULT,
GDPDU_UNPACK_JOB,
ACCOUNT_GROUPING,
ENGAGEMENT_ACCOUNT_GROUPING,
FILE_MANAGER_FILE,
CONNECTION_TEST_RESULT,
CONNECTION_TABLES_RESULT,
DATA_TABLE
error
string

The reason why the async job failed.

errorMessage
string